"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function i18nRewriter(config) {
    const { locales, defaultLocale, prefixDefault, localeDynamicSegment } = config;
    const rewrites = [];
    if (!localeDynamicSegment) {
        locales.forEach(locale => {
            if (locale === defaultLocale && !prefixDefault) {
                return;
            }
            rewrites.push({
                source: `/${locale}`,
                destination: `/`
            });
            rewrites.push({
                source: `/${locale}/:path*`,
                destination: `/:path*`
            });
        });
    }
    else {
        console.warn('i18nRewriter is not needed when localeDynamicSegment is set to true');
    }
    return rewrites;
}
exports.default = i18nRewriter;
//# sourceMappingURL=i18nRewriter.js.map